Read a policy module
curl --request GET \
--url https://api.kordio.io/control/v1/workspaces/{workspace_slug}/policy_modules/{name} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.kordio.io/control/v1/workspaces/{workspace_slug}/policy_modules/{name}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.kordio.io/control/v1/workspaces/{workspace_slug}/policy_modules/{name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"rules": [
{
"kind": "action_allowlist",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"rule_name": "<string>",
"action_types": [
"<string>"
],
"allow": [
"<string>"
],
"max_cents": 123,
"window_seconds": 2,
"max_actions": 2,
"above_cents": 123,
"effect": "deny",
"when": {
"all_of": "<array>",
"any_of": "<array>",
"not": "<unknown>",
"field": "metadata.preapproved",
"operator": "eq",
"value": "<unknown>"
}
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"message": "<string>",
"code": "runtime_key_required"
}
}Read a policy module
Modules are addressed by name, not by id.
GET
/
control
/
v1
/
workspaces
/
{workspace_slug}
/
policy_modules
/
{name}
Read a policy module
Authorizations
An identity bearer token for a person or your backend. Capabilities are per member, per workspace. This credential can manage the workspace and can never authorize an action as an agent.
Response
The module.
Show child attributes
Show child attributes